
GO ?= go
SOURCE_FILES := \
	$(wildcard *.go) \
	$(wildcard walker/*.go) \
	$(wildcard walker/walkers/*/*.go)
PLUGINS := \
	$(patsubst walker/walkers/%/plugin.go,plugin-%.so,$(wildcard walker/walkers/*/plugin.go))

default: fuzz-walker

container: fuzz-walker build.sh
	sudo bash build.sh

plugins: $(PLUGINS)

fuzz-walker: $(wildcard *.go)
	$(GO) build -o $@ .

plugin-%.so:
	$(GO) build -o $@ -buildmode=plugin ./walker/walkers/$*/

clean:
	rm -f fuzz-walker *.so *~
